# Natural Graph Wavelet Dictionaries
```@index
Pages = ["NGWD.md"]
```

## Metrics of graph Laplacian eigenvectors
```@autodocs
Modules = [MultiscaleGraphSignalTransforms]
Pages   = ["natural_distances.jl", "eigROT_Distance.jl", "eigsROT_Distance.jl", "eigDAG_Distance.jl", "eigHAD_Distance.jl", "eigDAG_Distance.jl", "eigTSD_Distance.jl"]
```

## Dual Graph
```@docs
dualgraph
```

## Varimax Natural Graph Wavelet Packet
```@docs
varimax
```
```@docs
vm_ngwp
```

## Pair-Clustering Natural Graph Wavelet Packet
```@docs
pairclustering
```
```@docs
mgslp
```
```@docs
pc_ngwp
```

## Lapped Natural Graph Wavelet Packet
```@docs
lp_ngwp
```

## Graph Signal Processing via NGWP
```@docs
ngwp_analysis
```
```@docs
ngwp_bestbasis
```
```@docs
NGWP_jkl
```

## Natural Graph Wavelet Frame
```@autodocs
Modules = [MultiscaleGraphSignalTransforms]
Pages   = ["NGWF.jl"]
```
